.check {
  position: relative;

  &__figure {
    position: relative;
  }

  &__input[type="checkbox"] {
    &+.check__figure {
      &::after {
        height: 1em;
        width: 1em;
        background-image: url("data:image/svg+xml,%3Csvg width='14' height='14' viewBox='0 0 14 14' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M3.87302 13.9409C3.75321 14.0063 3.61012 14.0146 3.4662 13.8629L0.18305 10.3267C-0.10727 10.0142 -0.039662 9.60251 0.296857 9.3462C0.72695 9.01858 1.302 8.48453 1.78727 7.70371C2.01454 7.33763 2.33938 7.31309 2.56403 7.68077L3.37387 9.00678C3.59886 9.37482 3.85769 9.83632 3.99664 9.78446C4.05299 9.76348 4.12135 9.71199 4.20284 9.61016L10.7847 0.884086C11.0431 0.541823 11.4078 0.578606 11.5998 0.966465L13.4681 4.74629C13.66 5.13415 13.5534 5.67097 13.23 5.94513L4.77188 13.1142C4.44883 13.3883 4.09318 13.8217 3.87302 13.9409Z' fill='black'/%3E%3C/svg%3E%0A");
        background-size: contain;
        background-repeat: no-repeat;
        background-position: center;
      }
    }
  }

  &__input[type="radio"] {
    &+.check__figure {
      &::before {
        border-radius: 50%;
      }

      &::after {
        background-color: var(--color__black);
        border-radius: 50%;
        height: 0.75em;
        width: 0.75em;
      }
    }
  }

  &__input {
    display: block;
    height: 0;
    width: 0;
    opacity: 0;
    padding: 0;
    margin: 0;
    border: none;
    position: absolute;
    top: 0;

    &+.check__figure {
      display: block;
      position: absolute;
      left: 0;
      top: 0;
      height: 1.25em;
      width: 1.25em;
      user-select: none;

      &::before,
      &::after {
        content: "";
        position: absolute;
        display: block;
        transition: all 0.24s;
      }

      &::before {
        height: 100%;
        width: 100%;
        border: calc(1em / 16) solid var(--color__red);
        top: 0;
        left: 0;
      }

      &::after {
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        opacity: 0;
      }
    }

    &~.check__text {
      padding-left: 2em;
    }

    &:checked+.check__figure::after {
      opacity: 1;
    }

    &:hover {
      &+.check__figure {
        &::before {
          border-color: var(--color__green);
        }
      }
    }

    &:focus {
      outline: transparent;

      &+.check__figure {
        &::before {
          border-color: var(--color__green);
        }
      }
    }

    &:focus-visible {
      &+.check__figure {
        &::before {
          border-color: var(--color__green);
        }
      }
    }

    &:disabled {
      &+.check__figure {
        &::before {
          border-color: var(--color__grey-3);
        }
      }

      &~.check__text {
        color: var(--color__grey-3);
      }

      &:checked {
        &+.check__figure::after {
          opacity: 0.25;
        }
      }
    }
  }
}